- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types

# FbxPropertyAttr Class Reference

Search for all occurrences

## Detailed Description

Definition at line 25 of file fbxpropertydef.h.

`#include <fbxpropertydef.h>`

List of all members.

## Public Types
enum | EInheritType { eOverride, eInherit, eDeleted }
enum | EFlags { eNone = 0, eAnimatable = 1, eUser = 1<<1, eTemporary = 1<<2, ePublished = 1<<3, eStatic = 1<<4, eNotSavable = 1<<5, eHidden = 1<<6, eUIDisabled = 1<<7, eUIGroup = 1<<8, eUIBoolGroup = 1<<9, eUIExpanded = 1<<10, eUINoCaption = 1<<11, eUIPanel = 1<<12, eUILeftLabel = 1<<13, eUIHidden = 1<<14, eFlagCount = 16, eAllFlags = 0x7FFF }

## Member Enumeration Documentation

enum EInheritType

Search for all occurrences

Enumerator:

  eOverride | Search for all occurrences
  eInherit | Search for all occurrences
  eDeleted | Search for all occurrences

Definition at line 28 of file fbxpropertydef.h.

        {
            eOverride,
            eInherit,
            eDeleted
        };

enum EFlags

Search for all occurrences

Enumerator:

  eNone | No flag. Search for all occurrences
  eAnimatable | This property can be animated. Search for all occurrences
  eUser | This property is user-defined. Search for all occurrences
  eTemporary | System property. Search for all occurrences
  ePublished | This property has been connected to an animation curve node. Search for all occurrences
  eStatic | Search for all occurrences
  eNotSavable | This property will not be written to FBX file. Search for all occurrences
  eHidden | This property is hidden in UI. Search for all occurrences
  eUIDisabled | for dynamic UI Search for all occurrences
  eUIGroup | for dynamic UI Search for all occurrences
  eUIBoolGroup | for dynamic UI Search for all occurrences
  eUIExpanded | for dynamic UI Search for all occurrences
  eUINoCaption | for dynamic UI Search for all occurrences
  eUIPanel | for dynamic UI Search for all occurrences
  eUILeftLabel | for dynamic UI Search for all occurrences
  eUIHidden | for dynamic UI Search for all occurrences
  eFlagCount | Search for all occurrences
  eAllFlags | Search for all occurrences

Definition at line 35 of file fbxpropertydef.h.

        {
            eNone = 0,
            eAnimatable = 1,
            eUser = 1<<1,
            eTemporary = 1<<2,
            ePublished = 1<<3,
            eStatic = 1<<4,
            eNotSavable = 1<<5,
            eHidden = 1<<6,
            eUIDisabled = 1<<7,
            eUIGroup = 1<<8,
            eUIBoolGroup = 1<<9,
            eUIExpanded = 1<<10,
            eUINoCaption = 1<<11,
            eUIPanel = 1<<12,
            eUILeftLabel = 1<<13,
            eUIHidden = 1<<14,
            eFlagCount = 16,
            eAllFlags = 0x7FFF
        };

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxpropertydef.h

FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr
FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr FbxPropertyAttr